export const FETCH_USER : string = 'FETCH_USER';
export const UPDATE_USER : string = 'UPDATE_USER';
export const LOGOUT : string = 'LOGOUT';




export const UPDATE_FIELD_CREATE_MUSIC : string = 'UPDATE_FIELD_CREATE_MUSIC';
export const UPDATE_ERROR_CREATE_MUSIC : string = 'UPDATE_ERROR_CREATE_MUSIC';
export const RESET_FIELD_CREATE_MUSIC : string = 'RESET_FIELD_CREATE_MUSIC';
export const RESET_FIELDS_CREATE_MUSIC : string = 'RESET_FIELDS_CREATE_MUSIC';

export const UPDATE_LIST_MUSIC : string = 'UPDATE_LIST_MUSIC';
export const UPDATE_FILTER_MUSIC : string = 'UPDATE_FILTER_MUSIC';


export const UPDATE_FILTER_CREATE_PLAYLIST = 'UPDATE_FILTER_CREATE_PLAYLIST'
export const UPDATE_SEARCH_CREATE_PLAYLIST = 'UPDATE_SEARCH_CREATE_PLAYLIST'
export const UPDATE_FIELD_CREATE_PLAYLIST = 'UPDATE_FIELD_CREATE_PLAYLIST'
export const ADD_MUSIC_TO_PLAYLIST = 'ADD_MUSIC_TO_PLAYLIST'
export const REMOVE_MUSIC_TO_PLAYLIST = 'REMOVE_MUSIC_TO_PLAYLIST'
export const RESET_FIELDS_CREATE_PLAYLIST = 'RESET_FIELDS_CREATE_PLAYLIST'


export const UPDATE_FILTER_EDIT_PLAYLIST = 'UPDATE_FILTER_EDIT_PLAYLIST'
export const UPDATE_SEARCH_EDIT_PLAYLIST = 'UPDATE_SEARCH_EDIT_PLAYLIST'
export const UPDATE_FIELD_EDIT_PLAYLIST = 'UPDATE_FIELD_EDIT_PLAYLIST'
export const UPDATE_FIELDS_EDIT_PLAYLIST = 'UPDATE_FIELDS_EDIT_PLAYLIST'
export const ADD_MUSIC_TO_EDIT_PLAYLIST = 'ADD_MUSIC_TO_EDIT_PLAYLIST'
export const REMOVE_MUSIC_TO_EDIT_PLAYLIST = 'REMOVE_MUSIC_TO_EDIT_PLAYLIST'
export const RESET_FIELDS_EDIT_PLAYLIST = 'RESET_FIELDS_EDIT_PLAYLIST'


export const DELETE_PLAYLIST = 'DELETE_PLAYLIST'



export const UPDATE_FILTER_PLAYLIST = 'UPDATE_FILTER_PLAYLIST'
export const UPDATE_LIST_PLAYLIST = 'UPDATE_LIST_PLAYLIST'
export const SWITCH_TAB_PLAYLIST = 'SWITCH_TAB_PLAYLIST'


export const CONNECT_SOCKET_ROOM = 'CONNECT_SOCKET_ROOM'
export const UPDATE_ROOM = 'UPDATE_ROOM'
export const RESET_ROOM = 'RESET_ROOM'
export const START_GAME = 'START_GAME'
export const UPDATE_BUFFER = 'UPDATE_BUFFER'

export const RESET_PLAYER = 'RESET_PLAYER'
